> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve voucher record

> Retrieves an existing voucher record(s). When no query param is provided, all the voucher record for the merchant will be returned. If accountNumber field is provided in the query, all the voucher records associated with the given accountNumber for the merchant will be returned.



## OpenAPI

````yaml get /v1/vouchers
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/vouchers:
    get:
      tags:
        - Voucher
      summary: Retrieve voucher record
      description: >-
        Retrieves an existing voucher record(s). When no query param is
        provided, all the voucher record for the merchant will be returned. If
        accountNumber field is provided in the query, all the voucher records
        associated with the given accountNumber for the merchant will be
        returned.
      operationId: get-voucher
      parameters:
        - in: query
          name: id
          description: Voucher id
          required: false
          schema:
            type: string
        - in: query
          name: memo
          description: Voucher memo or reference number
          required: false
          schema:
            type: string
        - in: query
          name: accountNumber
          description: The account number used to pay for voucher
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        email:
                          type: string
                        amount:
                          type: number
                        fullname:
                          type: string
                        currency:
                          type: string
                        fee:
                          type: number
                        feeBearer:
                          type: string
                        paymentStatus:
                          type: string
                          enum:
                            - paid
                            - unpaid
                            - declined
                        paymentExpiresAt:
                          type: string
                          format: date-time
                        merchant:
                          type: string
                        memo:
                          type: string
                        voucherCode:
                          type: string
                          description: Voucher code. Present only if voucher has been paid
                        createdAt:
                          type: string
                        dateRedeemed:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp of when the voucher was redeemed. If
                            voucher has not been redeemed, this field is
                            undefined.
                        accountType:
                          type: string
                          description: >-
                            Type of created bank account. Note that this
                            property is only available in v2.
                        cancelledAt:
                          type: string
                          format: date-time
                          description: >-
                            This property is optional. Only available if the
                            voucher has been cancelled.
        '404':
          description: Failed operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  errors:
                    type: array
                    example: []
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````